For the complete documentation index, see llms.txt. This page is also available as Markdown.

Artifacts

List Artifacts

get

Get artifacts according to query filters.

Args: artifact_filter_model: Filter model used for pagination, sorting, filtering. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: The artifacts according to query filters.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
tagsany of · nullableOptional
stringOptional
or
string[]Optional
scope_userstring · uuid · nullableOptional
userany of · nullableOptional
string · uuidOptional
or
stringOptional
or
projectany of · nullableOptional
string · uuidOptional
or
stringOptional
nameany of · nullableOptional
stringOptional
or
string[]Optional
has_custom_nameboolean · nullableOptional
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/artifacts
GET /api/v1/artifacts HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "index": 1,
  "max_size": 1,
  "total_pages": 1,
  "total": 1,
  "items": [
    {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000"
      },
      "metadata": {
        "has_custom_name": false
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "tags": [
          {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "user_id": "123e4567-e89b-12d3-a456-426614174000",
              "color": "grey",
              "exclusive": true
            },
            "metadata": {
              "tagged_count": 1
            },
            "resources": {
              "user": {
                "body": {
                  "created": "2026-01-01T00:00:00.000Z",
                  "updated": "2026-01-01T00:00:00.000Z",
                  "active": false,
                  "activation_token": "text",
                  "full_name": "",
                  "email_opted_in": true,
                  "is_service_account": true,
                  "is_admin": true,
                  "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                  "avatar_url": "text"
                },
                "metadata": {
                  "password_changed_at": "2026-01-01T00:00:00.000Z",
                  "email": "",
                  "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                  "user_metadata": {
                    "ANY_ADDITIONAL_PROPERTY": "anything"
                  }
                },
                "resources": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                },
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission_denied": false,
                "name": "text"
              },
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          }
        ],
        "latest_version_name": "text",
        "latest_version_id": "123e4567-e89b-12d3-a456-426614174000",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    }
  ]
}

Create Artifact

post

Create a new artifact.

Args: artifact: The artifact to create.

Returns: The created artifact.

Authorizations
OAuth2passwordRequired
Token URL:
Body

Artifact request model.

userstring · uuid · nullableOptional
projectstring · uuidRequired
namestring · max: 255Required
has_custom_namebooleanOptionalDefault: false
tagsstring[] · nullableOptional

Should be a list of plain strings, e.g., ['tag1', 'tag2']

Responses
200

Successful Response

application/json

Artifact response model.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
post/api/v1/artifacts
POST /api/v1/artifacts HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 150

{
  "user": "123e4567-e89b-12d3-a456-426614174000",
  "project": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "has_custom_name": false,
  "tags": [
    "text"
  ]
}
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000"
  },
  "metadata": {
    "has_custom_name": false
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "tags": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "user_id": "123e4567-e89b-12d3-a456-426614174000",
          "color": "grey",
          "exclusive": true
        },
        "metadata": {
          "tagged_count": 1
        },
        "resources": {
          "user": {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "active": false,
              "activation_token": "text",
              "full_name": "",
              "email_opted_in": true,
              "is_service_account": true,
              "is_admin": true,
              "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
              "avatar_url": "text"
            },
            "metadata": {
              "password_changed_at": "2026-01-01T00:00:00.000Z",
              "email": "",
              "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
              "user_metadata": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            },
            "resources": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false,
        "name": "text"
      }
    ],
    "latest_version_name": "text",
    "latest_version_id": "123e4567-e89b-12d3-a456-426614174000",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Get Artifact

get

Get an artifact by ID.

Args: artifact_id: The ID of the artifact to get. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: The artifact with the given ID.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
artifact_idstring · uuidRequired
Query parameters
hydratebooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Artifact response model.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
get/api/v1/artifacts/{artifact_id}
GET /api/v1/artifacts/{artifact_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000"
  },
  "metadata": {
    "has_custom_name": false
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "tags": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "user_id": "123e4567-e89b-12d3-a456-426614174000",
          "color": "grey",
          "exclusive": true
        },
        "metadata": {
          "tagged_count": 1
        },
        "resources": {
          "user": {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "active": false,
              "activation_token": "text",
              "full_name": "",
              "email_opted_in": true,
              "is_service_account": true,
              "is_admin": true,
              "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
              "avatar_url": "text"
            },
            "metadata": {
              "password_changed_at": "2026-01-01T00:00:00.000Z",
              "email": "",
              "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
              "user_metadata": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            },
            "resources": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false,
        "name": "text"
      }
    ],
    "latest_version_name": "text",
    "latest_version_id": "123e4567-e89b-12d3-a456-426614174000",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Update Artifact

put

Update an artifact by ID.

Args: artifact_id: The ID of the artifact to update. artifact_update: The update to apply to the artifact.

Returns: The updated artifact.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
artifact_idstring · uuidRequired
Body

Artifact update model.

namestring · nullableOptional
add_tagsstring[] · nullableOptional
remove_tagsstring[] · nullableOptional
has_custom_nameboolean · nullableOptional
Responses
200

Successful Response

application/json

Artifact response model.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
put/api/v1/artifacts/{artifact_id}
PUT /api/v1/artifacts/{artifact_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 81

{
  "name": "text",
  "add_tags": [
    "text"
  ],
  "remove_tags": [
    "text"
  ],
  "has_custom_name": true
}
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000"
  },
  "metadata": {
    "has_custom_name": false
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "tags": [
      {
        "body": {
          "created": "2026-01-01T00:00:00.000Z",
          "updated": "2026-01-01T00:00:00.000Z",
          "user_id": "123e4567-e89b-12d3-a456-426614174000",
          "color": "grey",
          "exclusive": true
        },
        "metadata": {
          "tagged_count": 1
        },
        "resources": {
          "user": {
            "body": {
              "created": "2026-01-01T00:00:00.000Z",
              "updated": "2026-01-01T00:00:00.000Z",
              "active": false,
              "activation_token": "text",
              "full_name": "",
              "email_opted_in": true,
              "is_service_account": true,
              "is_admin": true,
              "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
              "avatar_url": "text"
            },
            "metadata": {
              "password_changed_at": "2026-01-01T00:00:00.000Z",
              "email": "",
              "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
              "user_metadata": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            },
            "resources": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "permission_denied": false,
            "name": "text"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "permission_denied": false,
        "name": "text"
      }
    ],
    "latest_version_name": "text",
    "latest_version_id": "123e4567-e89b-12d3-a456-426614174000",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Delete Artifact

delete

Delete an artifact by ID.

Args: artifact_id: The ID of the artifact to delete.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
artifact_idstring · uuidRequired
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/artifacts/{artifact_id}
DELETE /api/v1/artifacts/{artifact_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

ZenML Scarf

Last updated

Was this helpful?